Bug 1250742 - notification-daemon is not present on standard LXDE session
notification-daemon is not present on standard LXDE session
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lxde-common (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-05 17:09 EDT by Giulio 'juliuxpigface'
Modified: 2015-08-18 01:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: lxsession-0.5.2-6.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-18 01:25:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giulio 'juliuxpigface' 2015-08-05 17:09:40 EDT
Description of problem:
notification-daemon is not launched by default on Fedora-Live-LXDE-x86_64-23_Alpha-1.iso. Users can't catch notifications.

Version-Release number of selected component (if applicable):
lxsession-0.5.2-5.fc23.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora 23 from Fedora-Live-LXDE-x86_64-23_Alpha-1.iso.
2. Boot the installed system.
3. Log in to a standard LXDE session
4. Issue "notify-send 'test'" via lxterminal

Actual results:
1. /usr/libexec/notification-daemon is not running by default
2. Notifications are losed.

Expected results:
1. /usr/libexec/notification-daemon or another provider should be launched by default.
2. Users should be able to receive notifications

Additional info:
I'm testing inside a qemu-kvm guest.
Comment 1 Mamoru TASAKA 2015-08-09 03:02:44 EDT
Currently I am not sure if this is really a "bug" or should be classified as RFE (request for enhancement). Are there any strict reason LXDE should launch notification-daemon by default? LXDE is designed to be "light" and if not strictly needed we don't want to launch process if possible.
Comment 2 Giulio 'juliuxpigface' 2015-08-10 15:14:12 EDT
Well, that's a good question. IfI remember correctly, notification-daemon was present in the recent versions of Fedora. Furthermore, a standard live session of Lxde has got this process enabled and running: it just disappears after the installation.

This last point made me think about a bug, but now I'm not sure. I think that Fedora should follow upstream, but in case of Lxde I don't know if there a standard set of packages...
Comment 3 Mamoru TASAKA 2015-08-11 00:16:32 EDT
Ah, actually now I checked kickstart file and verified that for live sesssion notification-daemon runs:

https://git.fedorahosted.org/cgit/spin-kickstarts.git/tree/fedora-live-lxde.ks

and also notification-daemon is explicitly listed in LXDE critpath

https://git.fedorahosted.org/cgit/comps.git/tree/comps-f24.xml.in#n791

so I guess Fedora LXDE desktop's intension is to run notification-daemon by default (Christoph?)

For now I will change so that notification-daemon runs on LXDE desktop by default.
Comment 4 Fedora Update System 2015-08-11 02:17:24 EDT
lxsession-0.5.2-6.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/lxsession-0.5.2-6.fc23
Comment 5 Fedora Update System 2015-08-12 16:12:54 EDT
Package lxsession-0.5.2-6.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lxsession-0.5.2-6.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13345/lxsession-0.5.2-6.fc23
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2015-08-18 01:25:21 EDT
lxsession-0.5.2-6.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.